# TweaksForDaltonGoesFast

A collection of tweaks for DaltonGoesFast. Main body also writen by DaltonGoesFast.

<h1><strong>Player Trust System</strong></h1>

<p>Blocks untrusted players from interacting with any type of stage progression. Only players trusted are allowed to use Portals, Teleporters, Lunar Seers, or Simulacrum Assessment/cell vent. Each blocking option is toggleable with commands <br />
<code>TFD.TogglePortalBlocking</code> - <em>Untrusted players cannot interact with Portals, such as bazaar, celestial, or arena.</em> <br />
<code>TFD.ToggleSeerBlocking</code> - <em>Untrusted players cannot interact with Lunar Seers in the Bazaar Between Time. (cannot dream of a stage)</em> <br />
<code>TFD.ToggleTeleporterBlocking</code> - <em>Untrusted players cannot trigger a teleporter event.</em> <br />
<code>TFD.ToggleSafeWardBlocking</code> - <em>Untrusted players cannot progress Simulacrum</em>   </p>

<h1><strong>Trusted Players</strong></h1>

<p>Trust System also allows you to add your friends to a comma separated config list <br />
<code>TFD.TrustPlayer</code> - <em>Add player to trusted list</em> <br />
     ex.: <code>TFD.TrustPlayer DaltonGoesFast</code> <br />
     <strong>names are case sensitive, when edited in config must be listed with comma separation</strong> <br />
<code>TFD.TrustedPlayerList</code> - <em>Show list of trusted players</em> <br />
<code>TFD.UntrustPlayer</code> - <em>Remove a trusted player the same way you can add one</em>   </p>

<h1><strong>Expanded Interactable Spawning</strong></h1>

<p>Many more interactable to spawn than DebugToolKit alone, including:
<code>TFD.SpawnTeleporter</code>- <em>Normal stage teleporter</em> <br />
<code>TFD.SpawnLunarTeleporter</code> - <em>Stage 5 (sky meadows) teleporter</em> <br />
<code>TFD.spawnPortalArena</code> - * Null Portal - OG void fields portal found in lunar bazaar* <br />
<code>TFD.spawnPortalArtifactworld</code> - <em>Takes you to bulwark ambry, no artifact will be active unless previously set</em> <br />
<code>TFD.spawnPortalGoldshores</code> - <em>Gold portal that takes you to Aureleonite</em> <br />
<code>TFD.spawnPortalMS</code> - <em>Celestial Portal - Obliteration Portal</em> <br />
<code>TFD.spawnPortalShop</code> - <em>Blue Portal - Lunar Bazaar</em> <br />
<code>TFD.spawnPortalInfiniteTower</code> - <em>Simulacrum progression portal</em> <br />
<code>TFD.spawnDeepVoidPortal</code> - <em>Portal to Voidling fight</em> <br />
<code>TFD.spawnPortalVoid</code> - <em>Portal to the Void Locus</em> <br />
<code>TFD.spawnScavBackpack - *Scav Bag that drops items (10)*</code> <br />
<code>TFD.spawnScavLunarBackpack</code> - <em>Scav Bag that drops lunar coins (10)</em> <br />
<code>TFD.spawnShrineCleanse</code> - <em>Cleansing Pool to remove lunar items</em>     </p>

<h1><strong>Simulacrum Item Droplet Relocation</strong></h1>

<p>At the end of each wave, item droplets are spawned on each player's position, instead of around assessment focus. This is to prevent accidental item stealing when focus is close to a wall, or there are many players. <br />
<strong>Note:</strong> This function requires all players to have the mod installed   </p>

<h1><strong>Old Moon Stage Arena Fix</strong></h1>

<p>On the stage <code>moon</code> you can now escape the arena after Mithrix dies <br />
<strong>Note:</strong> This function requires all players to have the mod installed</p>

---
---
<p>If you want to see this mod or others showcased please check out DaltonGoesFast on <a href="https://www.youtube.com/channel/UCk_OgmfTcHWjzjjoSbxI9UQ" title="DaltonGoesFast YouTube">YouTube</a> or if you want to play with us his <a href="https://www.twitch.tv/daltongoesfast" title="DaltonGoesFast Twitch">Twitch</a></p>

Feel free to complain to me about my bad code or report bugs at GiGaGon#1754

## Changelog:

V 1.0.1

 - Fixed incompatibility with ImprovedCommandEssence

V 1.0.0

 - Release